SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUEntityListIteratorRef Struct Reference

References an entity list iterator object. More...

`#include <SketchUpAPI/model/entity_list_iterator.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUEntityListIteratorCreate (SUEntityListIteratorRef *iterator)
| Creates an entity list iterator object. More...
enum SUResult | SUEntityListIteratorRelease (SUEntityListIteratorRef *iterator)
| Releases a iterator object. More...
enum SUResult | SUEntityListIteratorGetEntity (SUEntityListIteratorRef iterator, SUEntityRef *entity)
| Retrieves the specified entity pointer from the given iterator. More...
enum SUResult | SUEntityListIteratorNext (SUEntityListIteratorRef iterator)
| Increments the provided iterator. More...
enum SUResult | SUEntityListIteratorIsInRange (SUEntityListIteratorRef iterator, bool *in_range)
| Checks if the iterator is still within range of the list. More...

## Detailed Description

References an entity list iterator object.

Since
  SketchUp 2018, API 6.0

## Friends And Related Function Documentation

enum SUResult SUEntityListIteratorCreate | ( | SUEntityListIteratorRef * | iterator | ) |
| related

Creates an entity list iterator object.

Since
  SketchUp 2018, API 6.0

Parameters

  [in,out] | iterator | The entity list iterator object to be created.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_OUTPUT if iterator is NULL
  - SU_ERROR_OVERWRITE_VALID if iterator already references a valid object

enum SUResult SUEntityListIteratorGetEntity | ( | SUEntityListIteratorRef | iterator,
|  | SUEntityRef * | entity
| ) |  |
| related

Retrieves the specified entity pointer from the given iterator.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | iterator | The iterator from which to retrieve the entity.
  [out] | entity | The entity reference retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if iterator is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if entity is NULL
  - SU_ERROR_NO_DATA if the iterator references an invalid entity

enum SUResult SUEntityListIteratorIsInRange | ( | SUEntityListIteratorRef | iterator,
|  | bool * | in_range
| ) |  |
| related

Checks if the iterator is still within range of the list.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | iterator | The iterator to be queried.
  [out] | in_range | A boolean indicating if the iterator is in range.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if iterator is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if in_range is NULL
  - SU_ERROR_OUT_OF_RANGE if the iterator is at the end of the collection

enum SUResult SUEntityListIteratorNext | ( | SUEntityListIteratorRef | iterator | ) |
| related

Increments the provided iterator.

Since
  SketchUp 2018, API 6.0

Parameters

  [in,out] | iterator | The iterator to be incremented.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if iterator is not a valid object
  - SU_ERROR_OUT_OF_RANGE if reached the end of the collection

enum SUResult SUEntityListIteratorRelease | ( | SUEntityListIteratorRef * | iterator | ) |
| related

Releases a iterator object.

Since
  SketchUp 2018, API 6.0

Parameters

  [in,out] | iterator | The iterator object to be released.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if iterator is NULL
  - SU_ERROR_INVALID_INPUT if iterator does not reference a valid object

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/entity_list_iterator.h